Name:           mpdscribble
Version:        0.22
Release:        %mkrel 11
Summary:        Mpd client which submits information about tracks being played to Lastfm
License:        GPLv2+
Group:          Sound/Utilities
Url:            https://mkd.wikia.com/wiki/Client:Mpdscribble
Source0:        https://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2
Requires:       mpd
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libcurl)

%description
Mpdscribble is a music player daemon client which submits information about
tracks being played to Last.fm (formerly audioscrobbler), with the following
features:
* written in C, consumes very little memory and CPU
* full support for MPD's "idle" mode
* last.fm protocol 1.2 (including "now playing")
* supports seeking, crossfading, repeated songs

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}/var/cache/mpdscribble/
touch %{buildroot}/var/cache/mpdscribble/cache

%files
%doc README AUTHORS COPYING NEWS
%{_bindir}/mpdscribble
%{_mandir}/*/*
%{_sysconfdir}/mpdscribble.conf
%attr(0600,mpd,audio) %dir /var/cache/mpdscribble
%attr(0600,mpd,audio) /var/cache/mpdscribble/cache


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.22-11.mga9
+ Revision: 1833418
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.22-10.mga8
+ Revision: 1515241
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.22-9.mga7
+ Revision: 1299619
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 0.22-8.mga7
+ Revision: 1236150
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 0.22-7.mga6
+ Revision: 956242
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.22-6.mga5
+ Revision: 744581
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22-5.mga5
+ Revision: 682637
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.22-4.mga4
+ Revision: 508044
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.22-3.mga3
+ Revision: 360404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 0.22-2.mga3
+ Revision: 322703
- bump rel and fix RPM Group

* Fri Jun 08 2012 shlomif <shlomif> 0.22-1.mga3
+ Revision: 257593
- New version - 0.22

* Fri Apr 15 2011 shikamaru <shikamaru> 0.21-1.mga1
+ Revision: 85912
- new version 0.21

* Tue Mar 22 2011 shikamaru <shikamaru> 0.20-2.mga1
+ Revision: 75567
- add curl-devel as a BR
- retab spec
- kill buildroot
- reorder tags to match spec file syntax policy
+ obgr_seneca <obgr_seneca>
- rebuild against new libmpdclient-2.4

* Sun Jan 09 2011 shikamaru <shikamaru> 0.20-1.mga1
+ Revision: 4643
- imported package mpdscribble


* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 0.20-1mdv2011.0
+ Revision: 585866
- bump release

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.18.1-1mdv2010.0
+ Revision: 422455
- Update to new version 0.18.1
- Remove format string patch: not needed anymore

* Wed May 13 2009 Rémy Clouard <shikamaru@mandriva.org> 0.17-2mdv2010.0
+ Revision: 375216
- fix wrong dependency that prevents installing the package on x86_64
- fix a warning in rpmlint (summary too long)

* Wed Mar 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.17-1mdv2009.1
+ Revision: 357401
- Fixed summary.
- Fixed license.
- import mpdscribble


